/* Conteneur des contrôles */
.maplibregl-ctrl-bottom-right {
  font-family: "Marianne", Arial, sans-serif !important;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

/* Barre d'échelle */
.maplibregl-ctrl-scale {
  font-family: "Marianne", Arial, sans-serif !important;
  order: 1;

  margin-right: 8px;
  margin-bottom: 2px;

  background: rgba(255, 255, 255, 0.5);
  color: black;

  border-bottom: 4px solid black;
  border-left: 2px solid black;
  border-right: 2px solid black;
  /*border-radius: 6px;*/

  padding: 2px 6px;
  font-size: 12px;
}

/* Attribution */
.maplibregl-ctrl-attrib {
  order: 2;

  margin-right: 8px;
  margin-bottom: 8px;
}

/* Popup */
.maplibregl-popup-content {
  padding: 0;
  border-radius: 0;
  box-shadow: none;
  background: transparent;
}

.pixel-popup {
  font-family: Marianne, sans-serif;
  font-size: 12px;
  background: white;
  border: 2px solid var(--theme-color);
  padding: 6px 8px;
  line-height: 1.4;
}

.pixel-popup-coords {
  font-style: italic;
}

.pixel-popup-value strong {
  font-weight: 700;
}

/* Tail */
.maplibregl-popup-tip {
  border-top-color: var(--theme-color) !important;
  border-bottom-color: var(--theme-color) !important;
}

.maplibregl-popup-anchor-bottom .maplibregl-popup-tip {
  border-top-color: var(--theme-color) !important;
}

.maplibregl-popup-anchor-top .maplibregl-popup-tip {
  border-bottom-color: var(--theme-color) !important;
}

/* Timeline */
#year-timeline::before {
  content: "";
  position: absolute;
  top: 15px;
  left: 20px;
  right: 20px;
  height: 2px;
  background: #ccc;
  z-index: 0;
}

#year-timeline {
  font-family: Marianne;
  position: absolute;
  bottom: 15px;
  left: 50%;
  transform: translateX(-50%);
  display: none;
  align-items: center;
  justify-content: center;
  gap: 24px;
  padding: 10px 20px;
  background: rgba(255, 255, 255, 0.9);
  border-radius: 10px;
  z-index: 10;
}

.year-point {
  position: relative;
  z-index: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  cursor: pointer;
  font-size: 12px;
  color: #555;
}

.year-dot {
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background: #bbb;
  margin-bottom: 6px;
  transition: 0.2s;
}

.year-point.active .year-dot {
  background: var(--theme-color);
  transform: scale(1.3);
}

.year-point.active {
  font-weight: bold;
  color: var(--theme-color);
}
